com.tibco.ep.sb.ads

## Class ArtifactMessage

- java.lang.Object
- - com.tibco.ep.sb.ads.ArtifactMessage

-     public class ArtifactMessage
      extends Object

  Container for message information

  Since:
    10.2
  See Also:
    `ArtifactNotifier.message(ArtifactMessage)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ArtifactMessage.Severity` Message severity

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`
    `String` | `getMessageCode()`
    `String` | `getName()`
    `ArtifactMessage.Severity` | `getSeverity()`
    `String` | `getSource()`
    `String` | `getType()`
    `String` | `getVersion()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public String getType()

      Returns:
        Type of the artifact that this message pertains to.

    - #### getName

          public String getName()

      Returns:
        Name of the artifact that this message pertains to.

    - #### getVersion

          public String getVersion()

      Returns:
        Version of the artifact that this message pertains to. AritfactDescriptor.LATEST_VERSION is returned to specify the latest version of an artifact

    - #### getMessageCode

          public String getMessageCode()

      Returns:
        Message code

    - #### getSeverity

          public ArtifactMessage.Severity getSeverity()

      Returns:
        Message severity

    - #### getMessage

          public String getMessage()

      Returns:
        Message text

    - #### getSource

          public String getSource()

      Returns:
        Source of the message

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.